function fig = Imagepro()
%Imagepro Image processing Interface
%
%   This interface demonstrates the various image processing functions/tools.
%   It is divided in to six parts: FIR Filter Interface, Morphological Operation  Interface,
%   Histogram  Interface, Edge Detection  Interface, Noise Reduction  Interface and
%   Wavelet Interface. The six push buttons below corresopnd to these sub-interfaces.
%   Each button will open the corresponding  interface in a new window. A "Info" button
%   is provided in each  interface to obtain information about the different controles and working.
%   Information about the image processing functions is also provided.
%
%   Although the purpose of this interface is for demonstration, the user can load the image of his choice
%   and see the effects of the different image processing functions on this image.

%   Sachin V. Patwardhan and Atam P. Dhawan
%   New Jersey Institute of Technology.

load Imagepro

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','C:\MATLABR11\work\imagepro\Imagepro.m', ...
	'MenuBar','none', ...
	'Name','Image Processing Interface', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[626 211 205 311], ...
	'Resize','on', ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','FIRDEMOINT', ...
	'ListboxTop',0, ...
	'Position',mat1, ...
	'String','FIR Filter Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','MORPHOPRN', ...
	'ListboxTop',0, ...
	'Position',mat2, ...
	'String','Morphological Operation Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','HISTOINT', ...
	'ListboxTop',0, ...
	'Position',[0.04634146341463415 0.4581993569131833 0.8731707317073171 0.112540192926045], ...
	'String','Histogram Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','EDGEDEMOINT', ...
	'ListboxTop',0, ...
	'Position',mat3, ...
	'String','Edge Detection Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','NOISEREDINT', ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'String','Noise Reduction Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','wavemenu', ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Wavelet Interface', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.831372549019608 0.815686274509804 0.784313725490196], ...
	'Callback','helpwin imagepro', ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'String','Interface Info', ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
