function firapply(imagefir,Ft);
%

%cutoff
cutoff1=get(findobj('tag','cutoff'),'string');
cutoff=str2num(cutoff1);
cutoff=round(cutoff*100)/100;
%order
order1=get(findobj('tag','ord'),'string');
order=str2num(order1);
order = round((order-1)/2)*2+1;
%method
metval=get(findobj('tag','mettyp'),'value');
metstr=get(findobj('tag','mettyp'),'string');
metoprn=(metstr{metval});
%window
winval=get(findobj('tag','wintyp'),'value');
winstr=get(findobj('tag','wintyp'),'string');
winoprn=(winstr{winval});
%filter
filval=get(findobj('tag','filtyp'),'value');
filstr=get(findobj('tag','filtyp'),'string');
filoprn=(filstr{filval});
% Create desired frequency response
[f1,f2] = freqspace([order,order]);
d = find(f1.^2+f2.^2 < cutoff^2);
Hd = zeros(order,order);
Hd(d,d) = 1;
if filval==2;
   Hd = 1-Hd; 
end
[xf,yf]=meshgrid(f1,f2);
if metval==1;
   h=fsamp2(Hd);
elseif metval==2;
   w=feval(winoprn,order);
   h = fwind1(Hd,w);
elseif metval==3;
   F = [0 cutoff-0.05 cutoff+0.05 1];
M = [1 1 0 0];
if filval==2;
   M = 1-M;
end
b=remez(order-1,F,M);
h = ftrans2(b);
end
if metval==3;
   [H,w]=freqz(b,1,64,'whole');
   colormap(jet)
subplot(3,3,2),plot(w/pi-1,fftshift(abs(H)));title(' Desired Freq. Response');
else
colormap(jet)
subplot(3,3,2),mesh(xf,yf,Hd),axis([-1 1 -1 1 0 1.2]);title(' Desired Freq. Response');
end
subplot(3,3,5),freqz2(h,[32 32]),axis([-1 1 -1 1 0 1.2]);title(' Actual Freq. Response');
xsiz=size(size(imagefir));
if xsiz(2)==3;
   imagefir=rgb2gray(imagefir);
   imagefir=double(imagefir);
   filind=filter2(h,imagefir);
   immin=min(min(filind));
   immax=max(max(filind));
   if immin<0
      filind=filind-immin;
   immax=max(max(filind));   
   end
   filind=filind/immax;
   subplot(3,3,3),subimage(filind);axis off;title(' Filtered Image');
   else
   filtimage=filter2(h,imagefir);
filind=ind2gray(filtimage,map);
subplot(3,3,3),subimage(filind);axis off;title(' Filtered Image');
end
filFt=fftshift(fft2(filind));
subplot(3,3,6),imagesc(log(abs(filFt)));colormap(jet);axis off;title(' 2D Fourier transform');
subplot(3,3,4),imagesc(log(abs(Ft)));colormap(jet);axis off;title(' 2D Fourier transform');
